image: python:3.11.0-bullseye

tasks:
  - name: Migrate and run Django
    env:
      VIRTUAL_ENV: "/workspace/my-gitpod-example/.venv"
    init: |
      export PATH="/home/gitpod/.local/bin:$PATH"
      python -m venv .venv
      pip install --upgrade pip wheel setuptools
      pip install poetry
      poetry install
      poetry run python django_example_project/manage.py migrate
    command: |
      poetry run python django_example_project/manage.py runserver

ports:
  - port: 8000
    visibility: private
    onOpen: open-preview

vscode:
  extensions:
    - ms-python.python
    - ms-toolsai.jupyter
    - ms-toolsai.jupyter-renderers
    - ms-toolsai.jupyter-keymap
